package com.smppw.modaq.domain.dto;

import com.smppw.modaq.common.enums.ReportParseStatus;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class UploadReportResult {
    private Integer fileId;
    private String reportName;
    private int status;
    private String msg;

    public UploadReportResult() {
    }

    public UploadReportResult(Integer fileId, String reportName, int status, String msg) {
        this.fileId = fileId;
        this.reportName = reportName;
        this.status = status;
        this.msg = msg;
    }

    public UploadReportResult(String reportName, ReportParseStatus status) {
        this.reportName = reportName;
        this.status = status.getCode();
        this.msg = status.getMsg();
    }
}
